Subject: Re: bug#57207: 29.0.50; Fontification is slow after e7b5912b23 (Improvements to long lines handling)

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 18 Aug 2022 15:02:15 +0200

I still don't have a recipe to reproduce this.

If I do the following in this running Emacs:

C-x C-f /tmp/empty-file.txt
M-: (insert (propertize (make-string 20000 ?x) 'display "foo"))

Then hit RET a couple of times, and then type any key (like `d'), the
mode line starts saying "Narrow".  If I hit it again, it switches off,
and then hitting it again switches it on again.

But if I try to reproduce this from -Q, or even with my .emacs, it
doesn't happen.  So something has to be present...  in some other
buffer...?  for this to start happening, and I don't know what.